clan::DepthStencilStateDescription Class Reference - ClanLib SDK
Description: clan::DepthStencilStateDescription Class Reference

Public Member Functions | List of all members
clan::DepthStencilStateDescription Class Reference
clanDisplay Display

DepthStencil state description. More...

`#include <depth_stencil_state_description.h>`

## Public Member Functions
| DepthStencilStateDescription ()
DepthStencilStateDescription | clone () const
void | enable_depth_test (bool enabled)
| Enables/disables depth testing.
void | enable_depth_write (bool enabled)
| Enables/disables depth writing.
void | enable_stencil_test (bool enabled)
| Enables/disables stencil testing.
CompareFunction | get_depth_compare_function () const
void | get_stencil_compare_back (CompareFunction &out_back, int &out_back_ref, int &out_back_mask) const
void | get_stencil_compare_front (CompareFunction &out_front, int &out_front_ref, int &out_front_mask) const
void | get_stencil_op_back (StencilOp &out_fail_back, StencilOp &out_pass_depth_fail_back, StencilOp &out_pass_depth_pass_back) const
void | get_stencil_op_front (StencilOp &out_fail_front, StencilOp &out_pass_depth_fail_front, StencilOp &out_pass_depth_pass_front) const
void | get_stencil_write_mask (unsigned char &out_front_facing_mask, unsigned char &out_back_facing_mask) const
bool | is_depth_test_enabled () const
bool | is_depth_write_enabled () const
bool | is_stencil_test_enabled () const
bool | operator< (const DepthStencilStateDescription &other) const
bool | operator== (const DepthStencilStateDescription &other) const
void | set_depth_compare_function (CompareFunction func)
| Set depth test function.
void | set_stencil_compare_back (CompareFunction back, int back_ref, int back_mask)
| Set stencil compare function.
void | set_stencil_compare_front (CompareFunction front, int front_ref, int front_mask)
| Set stencil compare function.
void | set_stencil_op_back (StencilOp fail_back, StencilOp pass_depth_fail_back, StencilOp pass_depth_pass_back)
| Set stencil operations.
void | set_stencil_op_front (StencilOp fail_front, StencilOp pass_depth_fail_front, StencilOp pass_depth_pass_front)
| Set stencil operations.
void | set_stencil_write_mask (unsigned char front_facing_mask, unsigned char back_facing_mask)
| Set stencil write masks.

## Detailed Description

DepthStencil state description.

## Constructor & Destructor Documentation

## ◆ DepthStencilStateDescription()

clan::DepthStencilStateDescription::DepthStencilStateDescription | ( |  | ) |

## Member Function Documentation

## ◆ clone()

DepthStencilStateDescription clan::DepthStencilStateDescription::clone | ( |  | ) | const

## ◆ enable_depth_test()

void clan::DepthStencilStateDescription::enable_depth_test | ( | bool | enabled | ) |

Enables/disables depth testing.

## ◆ enable_depth_write()

void clan::DepthStencilStateDescription::enable_depth_write | ( | bool | enabled | ) |

Enables/disables depth writing.

## ◆ enable_stencil_test()

void clan::DepthStencilStateDescription::enable_stencil_test | ( | bool | enabled | ) |

Enables/disables stencil testing.

## ◆ get_depth_compare_function()

CompareFunction clan::DepthStencilStateDescription::get_depth_compare_function | ( |  | ) | const

## ◆ get_stencil_compare_back()

void clan::DepthStencilStateDescription::get_stencil_compare_back | ( | CompareFunction & | out_back,
|  | int & | out_back_ref,
|  | int & | out_back_mask ) const

## ◆ get_stencil_compare_front()

void clan::DepthStencilStateDescription::get_stencil_compare_front | ( | CompareFunction & | out_front,
|  | int & | out_front_ref,
|  | int & | out_front_mask ) const

## ◆ get_stencil_op_back()

void clan::DepthStencilStateDescription::get_stencil_op_back | ( | StencilOp & | out_fail_back,
|  | StencilOp & | out_pass_depth_fail_back,
|  | StencilOp & | out_pass_depth_pass_back ) const

## ◆ get_stencil_op_front()

void clan::DepthStencilStateDescription::get_stencil_op_front | ( | StencilOp & | out_fail_front,
|  | StencilOp & | out_pass_depth_fail_front,
|  | StencilOp & | out_pass_depth_pass_front ) const

## ◆ get_stencil_write_mask()

void clan::DepthStencilStateDescription::get_stencil_write_mask | ( | unsigned char & | out_front_facing_mask,
|  | unsigned char & | out_back_facing_mask ) const

## ◆ is_depth_test_enabled()

bool clan::DepthStencilStateDescription::is_depth_test_enabled | ( |  | ) | const

## ◆ is_depth_write_enabled()

bool clan::DepthStencilStateDescription::is_depth_write_enabled | ( |  | ) | const

## ◆ is_stencil_test_enabled()

bool clan::DepthStencilStateDescription::is_stencil_test_enabled | ( |  | ) | const

## ◆ operator<()

bool clan::DepthStencilStateDescription::operator< | ( | const DepthStencilStateDescription & | other | ) | const

## ◆ operator==()

bool clan::DepthStencilStateDescription::operator== | ( | const DepthStencilStateDescription & | other | ) | const

## ◆ set_depth_compare_function()

void clan::DepthStencilStateDescription::set_depth_compare_function | ( | CompareFunction | func | ) |

Set depth test function.

## ◆ set_stencil_compare_back()

void clan::DepthStencilStateDescription::set_stencil_compare_back | ( | CompareFunction | back,
|  | int | back_ref,
|  | int | back_mask )

Set stencil compare function.

## ◆ set_stencil_compare_front()

void clan::DepthStencilStateDescription::set_stencil_compare_front | ( | CompareFunction | front,
|  | int | front_ref,
|  | int | front_mask )

Set stencil compare function.

## ◆ set_stencil_op_back()

void clan::DepthStencilStateDescription::set_stencil_op_back | ( | StencilOp | fail_back,
|  | StencilOp | pass_depth_fail_back,
|  | StencilOp | pass_depth_pass_back )

Set stencil operations.

Set stencil failed test operations. Set stencil passed test operations. Set stencil passed depth test but failed stencil test operations.

## ◆ set_stencil_op_front()

void clan::DepthStencilStateDescription::set_stencil_op_front | ( | StencilOp | fail_front,
|  | StencilOp | pass_depth_fail_front,
|  | StencilOp | pass_depth_pass_front )

Set stencil operations.

Set stencil failed test operations. Set stencil passed test operations. Set stencil passed depth test but failed stencil test operations.

## ◆ set_stencil_write_mask()

void clan::DepthStencilStateDescription::set_stencil_write_mask | ( | unsigned char | front_facing_mask,
|  | unsigned char | back_facing_mask )

Set stencil write masks.

The documentation for this class was generated from the following file:

- depth_stencil_state_description.h